<template>

    <div id="app">
        <router-view/>
    </div>
</template>

<script>

    export default {
        name: 'app',
        methods: {},
        watch: {

            $route(to, from) {
                console.log("路由变化");
                this.$store.commit('REFRESH_STATE')
            }
        }
    }
</script>

<style lang="less">
    @import url('./assets/css/global.less');

    #app {
        height: 100%;
    }
</style>
